// Might wanna move stuff form `void_poem.rs` into here...
use crate::utils::prop_structs::{ContentProps};
use super::super::utils::user_prefs::ThemedComponent;
use dioxus::prelude::*;

pub fn RenderContent(cx: Scope<ContentProps>) -> Element {
    let (user_theme, user_font) = cx.props.user_prefs.get_pref_classes(ThemedComponent::Card);
    let content = &cx.props.content;
    #[cfg(any(target_family = "windows", target_family = "unix"))]
    return cx.render(rsx!{
        div { class: "flex p-4 md:pl-8 md:pr-8 ml-2 mr-2 text-lg text-center ring-4 {user_theme} {user_font}",
            "{content}",
        }
    });
    #[cfg(target_family = "wasm")]
    return cx.render(rsx!{
        div { class: "flex p-4 ml-2 mr-2 ring-4",
            dangerous_inner_html: "{content}",
        }
    });
}
