use dioxus::prelude::*;
use crate::{components::void_buttons::NavigationButton, utils::user_prefs::{UserPrefs, ThemedComponent}};

pub fn Footer(cx: Scope<UserPrefs>) -> Element {
    cx.render(rsx! {
        MutantStandardFooter { theme: cx.props.clone().get_theme(), font: cx.props.clone().get_font() }
    })
}

fn MutantStandardFooter(cx: Scope<UserPrefs>) -> Element {
    let user_prefs = UserPrefs::new(cx.props.clone().get_theme(), cx.props.clone().get_font());
    let user_theme = cx.props.get_theme_classes(ThemedComponent::Card);
    let user_font = cx.props.get_font_class();
    cx.render(rsx!{
        div { class: "p-4 flex flex-col space-y-4 mx-auto max-w-full justify-center ring-4 {user_theme} {user_font}",
            NavigationButton { title: "⚙️ Settings".to_string(), slug: "/settings".to_string(), user_prefs: user_prefs }
            div { class: "flex mx-auto max-w-full justify-center text-md text-center",
                "This site uses Mutant Standard emoji, which are licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License"
            }
        }
    })
}
