use crate::void_app::{Element, Props};

use super::user_prefs::UserPrefs;

#[derive(PartialEq, Props)]
pub struct PoemRequest {
    pub slug: String,
    pub user_prefs: UserPrefs,
}

#[derive(PartialEq, Props)]
pub struct TitleProps {
    pub title: String,
    pub is_html: bool,
    pub user_prefs: UserPrefs,
}

#[derive(PartialEq, Props)]
pub struct ContentProps {
    pub content: String,
    pub user_prefs: UserPrefs,
}

#[derive(PartialEq, Props)]
pub struct ButtonProps {
    pub title: String,
    pub slug: String,
    pub user_prefs: UserPrefs,
}

#[derive(PartialEq, Props)]
pub struct PoemData {
    pub title: Option<String>,
    pub content: Option<String>,
    pub creation_date: Option<String>,
    pub slug: Option<String>,
    pub user_prefs: UserPrefs,
}

// These next three should all just be one prop.
#[derive(Props)]
pub struct PoemChildren<'a> {
    pub children: Element<'a>,
}

#[derive(Props)]
pub struct PageChildren<'a> {
    pub children: Element<'a>,
}

#[derive(Props)]
pub struct ContentChildren<'a> {
    pub children: Element<'a>,
}